POST
/user/dashboard/get
const url = 'https://example.com/user/dashboard/get';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","dashboard_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/dashboard/get \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "dashboard_id": "example" }'Get the latest revision of a dashboard for the given
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
GetDashboardRequest
object
tenant_id
required
Tenant Id
string
dashboard_id
required
Dashboard Id
string
Example generated
{ "tenant_id": "example", "dashboard_id": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
DashboardRevision
object
metadata
required
DashboardRevisionMetadata
object
update_time
required
Update Time
string
revision
required
Revision
string
dashboard_id
required
Dashboard Id
string
summary
required
Summary
object
key
additional properties
any
content
required
Content
object
key
additional properties
any
Example generated
{ "metadata": { "update_time": "example", "revision": "example", "dashboard_id": "example" }, "summary": {}, "content": {}}{"detail": "Invalid API Key"}
{"detail": "Dashboard not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}